import React, { useState } from 'react';
import { Tabs, Card } from 'antd';
import Basic from './Basic';
// import Poster from './Poster';
import Share from '@/components/Share';
import Poster from '@/components/Poster'

const { TabPane } = Tabs

const type= 'dymic'
/**
 *
 *
 * @param {*} props
 * @returns
 */
const Edit = props => {
  const { dynamicId } = props.location.query;
  const target = { id:dynamicId, type: 'activity' }

  return (
    <Card>
      <Tabs defaultActiveKey="1">
        <TabPane tab="基础信息" key="1">
          <Basic dynamicId={dynamicId} type={type}/>
        </TabPane>
        <TabPane tab="海报图片" key="2">
          <Poster target={target} />
        </TabPane>
        <TabPane tab="分享设置" key="3">
          <Share target={target} />
        </TabPane>
      </Tabs>
    </Card>
  );
};

export default Edit;
